 @import url('https://use.fontawesome.com/releases/v5.6.3/css/all.css');

.color-0{color: #ffffff;}
.color-1{color: #ff4444;}
.color-2{color: #99cc00;}
.color-3{color: #ffbb33;}
.color-4{color: #0099cc;}
.color-5{color: #33b5e5;}
.color-6{color: #aa66cc;}
.color-8{color: #cc0000;}
.color-9{color: #cc0068;}

* {
  font-family: 'Barlow Condensed', sans-serif;
  margin: 0;
  padding: 0;
  font-size: 0.9rem;
  font-weight: bold;
}

.no-grow {
  flex-grow: 0;
}

em {
  font-style: bold;
}

#app {
  font-family: 'Barlow Condensed', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: white;
  background-color: transparent;
}

.chat-window {
  position: absolute;
  left: 15px;
  width: 38%;
  height: 530px;
  background-color: rgba(255, 255, 255, 0);
  animation-duration: 2s;
  -webkit-animation-duration: 2s;
}

.chat-messages {
  max-height: 95%;
  font-size: 1.0rem;
  overflow-x: hidden;
  overflow-y: hidden;
  position: relative;
}


.chat-input {
  font-size: 0.9rem;
  position: absolute;
  top: 22.8%;
  left: 15px;
  width: 30.1%;
  box-sizing: border-box;
}

textarea {
  font-size: 1.65vh;
  display: block;
  box-sizing: border-box;
  padding-top: 1%;
  padding-left: 3.5%;
  color: #ffffff;
  background-color: rgba(0, 0, 0, 0.62);
  width: 100%;
  border: 1px solid #000000;
  height: 15px;
  min-height: 45px;
  overflow: hidden;
  text-overflow: ellipsis;
  resize: none;
}

textarea:focus, input:focus {
    outline: none;
}

.msg {
  margin-bottom: 5px;
  font-size: 15px;
}

.suggestions {
  list-style-type: none;
  padding: 5px;
  padding-left: 27px;
  font-size: 0.9rem;
  box-sizing: border-box;
  color: #ffffff;
  background-color: rgba(50, 50, 50, 0.664);
  border: 1px solid #666666;
  width: 100%;
}

.suggestion:first-child {
  margin-top: 5px;
}

small.help {
  padding-left: 10px;
  color: #aaaaaa;
}

small.help::before {
  content: '*';
  color: white;
}

.disabled {
  margin-top: -10px;
  color: white;
}

.suggestion {
  margin-bottom: 0.5px;
}

.chat-message {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgba(73, 147, 221, 0.75);
  width: fit-content;
  max-width: 100%;
  overflow: hidden;
  word-break: break-word;
}

.chat-message-ooc {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgba(53, 109, 158, 0.9);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
}

.chat-message-local {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgba(49, 49, 49, 0.9);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
}


.chat-message-server {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgba(136, 63, 41, 0.9);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
}

.chat-message-admin {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgba(255, 99, 71, 1);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
}

.chat-message-orange {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgba(185, 102, 23, 1);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
}

.chat-message-info {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgb(47, 92, 115);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
}

.chat-message-achat {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgb(223, 166, 50);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
}

.chat-message-action {
  display: inline-block !important;
  padding: 0.6vw;
  padding-top: 0.6vw;
  padding-bottom: 0.7vw;
  margin: 0.1vw;
  margin-left: 0.4vw;
  border-radius: 10px;
  background-color: rgba(194, 162, 218, 0.9);
  color: white;
  width: fit-content;
  max-width: 50%;
  overflow: hidden;
  word-break: break-word;
  font-size: 15px;
}

.chat-message-body {
  margin-top: 10px;
}

.chat-message.advert {
  background-color: rgba(214, 168, 0, 1);
}

.chat-message.server {
  background-color: rgba(240, 200, 80, 0.8);
}

.chat-message.system {
  background-color: rgb(174, 92, 22);
}

.chat-message.emergency {
  background-color: rgba(224, 50, 50, 0.8);
  max-width: 50%;
}

.chat-message.nonemergency {
  background-color: rgba(112, 25, 25, 0.8);
}

.chat-message.ooc {
  background-color: rgba(41, 41, 41, 0.6);
  color: #ffffff;
}

.chat-message.local {
  background-color: rgb(184, 3, 6, 0.6);
  color: #ffffff;
}